import { jsx as n } from "@emotion/react/jsx-runtime";
import { m as a } from "framer-motion";
import { Box as o } from "@mui/material";
import { varContainer as r } from "../variants/container.js";
function v({ animate: m, action: e = !1, children: i, ...t }) {
  return e ? /* @__PURE__ */ n(
    o,
    {
      component: a.div,
      initial: !1,
      animate: m ? "animate" : "exit",
      variants: r(),
      ...t,
      children: i
    }
  ) : /* @__PURE__ */ n(
    o,
    {
      component: a.div,
      initial: "initial",
      animate: "animate",
      exit: "exit",
      variants: r(),
      ...t,
      children: i
    }
  );
}
export {
  v as MotionContainer
};
